Subject: Re: Order RFQ
From: Kevin Simon <[email-masked]>
To: [email-masked]
Date: Tue, 20 May 2025 11:25:10 -0500

I would like to place an order with your company. Can you advise if our
shipper who handles all of our shipments comes for the pick up for safety
delivery to our store in Switzerland? Do you accept credit cards as payment
terms?.